Skip to main content
POST
Invite user to an organization by email

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Body

application/json
email
string<email>
required

The email address of the invitee.

permissions
enum<string>[]
required

The permissions the invitee should be given on the organization.

Available options:
admin,
billing,
plans,
members,
project:create,
projects:list
force
boolean

Whether to cancel any pending invitation for the specified invitee, and create a new invitation.

Response

Created

id
string<uuid>

The ID of the invitation.

state
enum<string>

The invitation state.

Available options:
pending,
processing,
accepted,
cancelled,
error
organization_id
string

The ID of the organization.

email
string<email>

The email address of the invitee.

owner
object

The inviter.

created_at
string<date-time>

The date and time when the invitation was created.

updated_at
string<date-time>

The date and time when the invitation was last updated.

finished_at
string<date-time> | null

The date and time when the invitation was finished.

permissions
enum<string>[]

The permissions the invitee should be given on the organization.

Available options:
admin,
billing,
plans,
members,
project:create,
projects:list
Last modified on June 16, 2026